package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "person_id", type = IdType.AUTO)
    private Integer personId;

    private Integer typeId;

    private String typeName;

    private String name;

    private String sex;

    private String avatar;

    private String phone;

    private String email;

    private String remark;

    private Integer status;

    private LocalDateTime createDate;
    
    private LocalDateTime lastVisiteDate;
    
    private String lastVisiteDevice;

    private String words;

    private Integer lastSales;

    private String lastSalesName;

    private String intention;

    private Integer realId;
}
