package com.huiju.welcome.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaGoodsSpec;
import com.huiju.welcome.model.TdGoodsType;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
public interface ITaGoodsSpecService extends IService<TaGoodsSpec> {

    /**
     * @param pg
     * @param specName
     * @return
     */
    ResponseBean specGoodsList(IPage<TaGoodsSpec> pg, String specName);

    /**
     * @param goodsId
     * @return
     */
    List<TaGoodsSpec> specListByGoodsId(Integer goodsId);

    void deleteSpecsByGoodsId (Integer goodsId);
}
