package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaVisitorAppointment {
    private static final long serialVersionUID = 1L;

    @TableId(value = "appointment_id", type = IdType.AUTO)
    Integer appointmentId;

    Integer personId;

    String personName;

    String phone;

    Integer sex;

    LocalDateTime visitDate;

    Integer personNum;

    Integer carNum;

    String carModel;

    String platNumber;

    Integer status;

    LocalDateTime createDate;

    String remark;

    Integer createUser;

    String customerType;
    
    /**
     * 置业顾问姓名
     */
    @TableField(exist = false)
    private String username;
}
